diff --git a/Config.in b/Config.in
index b319ac7..af77a83 100644
--- a/Config.in
+++ b/Config.in
@@ -14,6 +14,12 @@ config BR2_HOSTARCH
 	string
 	option env="HOSTARCH"
 
+# Hidden boolean selected by pre-built packages for x86, when they
+# need to run on x86-64 machines (example: pre-built external
+# toolchains, binary tools like SAM-BA, etc.).
+config BR2_HOSTARCH_NEEDS_IA32_LIBS
+	bool
+
 source "arch/Config.in"
 
 menu "Build options"
diff --git a/support/dependencies/dependencies.sh b/support/dependencies/dependencies.sh
index 7a02512..03e2742 100755
--- a/support/dependencies/dependencies.sh
+++ b/support/dependencies/dependencies.sh
@@ -166,3 +166,14 @@ if grep -q ^BR2_PACKAGE_CLASSPATH=y $CONFIG_FILE ; then
 	fi
     done
 fi
+if grep -q ^BR2_HOSTARCH_NEEDS_IA32_LIBS=y $CONFIG_FILE ; then
+    if test ! -f /lib/ld-linux.so.2 ; then
+	/bin/echo -e "\nYour Buildroot configuration uses some pre-built tools for the x86 architecture,"
+	/bin/echo -e "but your build machine uses the x86-64 architecture without the 32 bits compatibility"
+	/bin/echo -e "library."
+	/bin/echo -e "If you're running a Debian/Ubuntu distribution, install the libc:i386 package."
+	/bin/echo -e "For other distributions, refer to the documentation on how to install the 32 bits"
+	/bin/echo -e "compatibility libraries."
+	exit 1
+    fi
+fi
